Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 216110 - app-editors/gedit-2.22.0 fails to find python when using libtool 2.2
Summary: app-editors/gedit-2.22.0 fails to find python when using libtool 2.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2 gnome2.22-tracker
  Show dependency tree
 
Reported: 2008-04-03 23:41 UTC by Roby
Modified: 2008-05-10 18:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roby 2008-04-03 23:41:32 UTC
When USE="python" is enabled when emerging app-editors/gedit-2.22.0, gedit failed to find python. Here's the relevant error log:

---------------------
checking for GEDIT... yes
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking whether Python support is requested... yes
checking for a Python interpreter with version >= 2.3... python
checking for python... /usr/bin/python
checking for python version... 2.5
checking for python platform... linux2
checking for python script directory... ${prefix}/lib64/python2.5/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python2.5/site-packages
checking for headers required to compile python extensions... found
checking whether we can build a shared library depending on libpython... no
configure: error: Python not found
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/app-editors/gedit-2.22.0/work/gedit-2.22.0/config.log
 *
 * ERROR: app-editors/gedit-2.22.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3035:  Called gnome2_src_compile
 *             environment, line 2302:  Called gnome2_src_configure
 *             environment, line 2316:  Called econf 'src_compile' 'src_compile' '--disable-scrollkeeper' '--enable-python' '--enable-spell'
 *               ebuild.sh, line  513:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-editors/gedit-2.22.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-editors/gedit-2.22.0/temp/environment'.


-----------------

Log file:
----------
configure:14306: $? = 0
configure:14333: $PKG_CONFIG --exists --print-errors "
        glib-2.0 >= 2.14.0
        gtk+-2.0 >= 2.12.0
        gtksourceview-2.0 >= 2.2.0
        libgnomeui-2.0 >= 2.16.0
        libglade-2.0 >= 2.5.1
        gnome-vfs-2.0 >= 2.16.0
"
configure:14343: $? = 0
configure:14453: result: yes
configure:14478: result: Using config source xml:merged:/etc/gconf/gconf.xml
.defaults for schema installation
configure:14493: result: Using $(sysconfdir)/gconf/schemas as install direct
ory for schema files
configure:14517: checking whether Python support is requested
configure:14526: result: yes
configure:14562: checking for a Python interpreter with version >= 2.3
configure:14577: python -c import sys, string # split strings by '.' and con
vert to numeric. Append some zeros # because we need at least 4 digits for t
he hex conversion. minver = map(int, string.split('2.3', '.')) + [0, 0, 0] m
inverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i]
 sys.exit(sys.hexversion < minverhex)
configure:14580: $? = 0
configure:14587: result: python
configure:14595: checking for python
configure:14613: found /usr/bin/python
configure:14625: result: /usr/bin/python
configure:14643: checking for python version
configure:14650: result: 2.5
configure:14662: checking for python platform
configure:14669: result: linux2
configure:14676: checking for python script directory
configure:14684: result: ${prefix}/lib64/python2.5/site-packages
configure:14693: checking for python extension module directory
configure:14701: result: ${exec_prefix}/lib64/python2.5/site-packages
configure:14721: checking for headers required to compile python extensions
configure:14745: x86_64-pc-linux-gnu-gcc -E  -I/usr/include/python2.5 conftest.c
configure:14751: $? = 0
configure:14756: result: found
configure:14789: checking whether we can build a shared library depending on libpython
configure:14812: result: no
configure:14818: error: Python not found


Reproducible: Always

Steps to Reproduce:
USE="python" sudo emerge gedit

Actual Results:  
Gedit claimed python cannot be found.

Expected Results:  
Gedit should be able to find python.

uname -m = x86_64
uname -r = 2.6.24-gentoo-r3
uname -s = Linux
uname -v = #1 SMP PREEMPT Thu Feb 28 15:04:07 CST 2008

/usr/bin/uname -p = AMD Athlon(tm) 64 X2 Dual Core Processor 4400+
/bin/uname -X     = unknown

python --version = Python 2.5.1
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-04-10 21:23:31 UTC
I suppose you have python 2.3 installed as well ? Please paste your emerge --info.
Comment 2 Roby 2008-04-14 21:13:23 UTC
emerge --info:
Portage 2.1.5_rc3 (default-linux/amd64/2006.0, gcc-4.2.3, glibc-2.7-r2, 2.6.24-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.24-gentoo-r3 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4400+
Timestamp of tree: Mon, 14 Apr 2008 16:33:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.5
dev-lang/python:     2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.12
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18.50.0.1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.2
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=k8 -mtune=k8 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=k8 -mtune=k8 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS=""
LINGUAS="en zh zh_CN zh_TW ja es ko"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi ada alsa amd64 apache2 arts artswrappersuid artworkextra  bash-completion bashcompletion bzip2 cairo cdr cgi chroot cjk clearcase cli cracklib crypt css ctype cups curl curlwrappers dbus dc1394 dri dvd dvdr emacs emboss firefox font-server fontconfig foomaticdb fortran ftp gif gnome gnutls gpm graphviz gstreamer gtk gtk2 gtkhtml guile hal iconv ieee1394 imap imlib immqt-bc inifile innodb insecure-drivers ipv6 ithreads java javascript jbig jpeg jpeg2k kde kdeenablefinal kdehiddenvisibility kerberos krb4 latex lcms ldap libcaca libnotify libsamplerate lirc lm_sensors logrotate lzw lzw-tiff mad mailwrapper mcve memcache memlimit mhash midi mikmod mime mono motif mozcalendar mozdevelop mozilla mozsvg mozxmlterm mp3 mpeg mpm-worker mssql mudflap musepack mysql nautilus ncurses nls nptl nptlonly nsplugin ocaml odbc offensive ogg oggvorbis openexr opengl openmp pam pam_chroot pam_timestamp pascal pcntl pcre pdf pear perforce perl perlsuid php pic pike png portaudio posix postgres povray pppd python qt3 qt4 quicktime readline reflection rrdtool ruby samba sample sasl sdk sdl seamonkey session sftplogging sharedext simplexml sndfile sockets socks5 speex spell spl sql srp ssl startup-notification subversion svg sysfs sysvipc tcl tcltk tcpd tetex theora threads tidy tiff timidity tk tokenizer truetype ucs2 unicode urandom usb v4l vcd vim-syntax vorbis webdav wmf x264 xattr xcb xcomposite xine xinerama xml xml2 xmlrpc xorg xpm xprint xscreensaver xsl xulrunner xv xvid zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x 	ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 	trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias auth_digest authn_dbd cern_meta dbd charset_lite ident imagemap asis dumpio log-forensic version" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en zh zh_CN zh_TW ja es ko" USERLAND="GNU" VIDEO_CARDS="nvidia apm vesa vga v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 3 Roby 2008-04-15 22:56:30 UTC
This is also the case with gedit-2.22.1.
Comment 4 Gilles Dartiguelongue gentoo-dev 2008-04-19 22:39:38 UTC
you have python 2.5 on a stable box, please make sure you ran python-updater.
Comment 5 Roby 2008-04-21 19:14:12 UTC
I already did. Still the same result.
Comment 6 Pacho Ramos gentoo-dev 2008-04-25 09:55:31 UTC
Maybe unrelated but you should also update your profile, I use 2007.0 with no problem at all ;-)
Comment 7 Gilles Dartiguelongue gentoo-dev 2008-04-30 08:28:47 UTC
in fact, I can now reproduce this bug by using libtool-2.2.2. This is probably due to the fact that the check in question directly calls libtool and arguments changed.

Here is the excerpt of configure.ac:

-----------------------------------------------------------

        dnl FIXME: do we really need this test?
        AC_MSG_CHECKING([whether we can build a shared library depending on libpython])
        rm -rf testpython
        mkdir testpython
        cd testpython
        cat > testpython.c <<EOF
#include <Python.h>
int testpython (void)
{
Py_Exit (0);
}
EOF

        if /bin/sh ../libtool --mode=compile ${CC} $PYTHON_CFLAGS -c testpython.c >/dev/null 2>&1 && \
                /bin/sh ../libtool --mode=link ${CC} -o testpython.la -rpath `pwd` -module -avoid-version -no-undefined $PYTHON_LIB_LOC testpython.lo $PYTHON_LIBS $PYTHON_EXTRA_LIBS >/dev/null 2>&1 && \
                grep 'dlname.*testpython' testpython.la >/dev/null 2>&1; then
                result=yes
        else
                result=no
                have_python=no
        fi
        cd ..
        rm -rf testpython
        AC_MSG_RESULT([$result])


-----------------------------------------------------------

imho it's safe for us to remove the check. @herd, what do you think ?
Comment 8 Rémi Cardona gentoo-dev 2008-04-30 08:51:27 UTC
or use something like this before :

m4_ifdef([LT_OUTPUT],[LT_OUTPUT])
Comment 9 Rahul Jain 2008-05-08 21:19:15 UTC
Downgrade to the stable version of libtool (1.5.26), then emerge gentoo, then upgrade your libtool again. Works for me.
Comment 10 Sergey Ilinykh 2008-05-09 06:05:05 UTC
Rémi Cardona, thanks
your solution works fine :-)
Comment 11 Rahul Jain 2008-05-09 08:08:25 UTC
Hmm, Just realized that in stead of mentioning emerge gedit I mentioned emerge gentoo. :)
Comment 12 Roby 2008-05-09 19:15:11 UTC
@Rémi Cardona, where would you put that "m4_ifdef([LT_OUTPUT],[LT_OUTPUT])" line?
Comment 13 Rémi Cardona gentoo-dev 2008-05-10 00:51:39 UTC
(In reply to comment #12)
> @Rémi Cardona, where would you put that "m4_ifdef([LT_OUTPUT],[LT_OUTPUT])"
> line?

Right after AC_PROG_LIBTOOL, but if you can wait "just" a little bit longer, I'll take care of it in the morning.
Comment 14 Rémi Cardona gentoo-dev 2008-05-10 18:28:33 UTC
Done in cvs without a revbump.

Thanks